#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>

#define MAX_NOME 100

int main(int argc, char* argv[]) {
  char nome[MAX_NOME];
  int i;
  int len;
  int ifd, ofd;
  char c;
  char msg[] =  "Errore\n";

  if(argc != 2) {
    write(2, msg, sizeof(msg));
    exit(1);
  }

  len = strlen(argv[1]);  
  for(i=0; i<len; i++){
    nome[i] = argv[1][len - i - 1];
  }  
  nome[i] = '\0';
  
  if((ofd = open(nome, O_WRONLY|O_CREAT|O_TRUNC, 0666)) < 0 ||
     (ifd = open(argv[1], O_RDONLY)) < 0) {
    write(2, msg, sizeof(msg));
    exit(1);
  }

  off_t dim = lseek(ifd, -1, SEEK_END) + 1;
  while(dim--){
    read(ifd, &c, 1);
    write(ofd, &c, 1);
    lseek(ifd, -2, SEEK_CUR);
  } 
  
  return 0; 
}
