#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

int main(int argc, char* argv[])
{
  int n;
  char buf[4096];
  int ifd, ofd;

  if((ifd = open(argv[1], O_RDONLY)) < 0){
    perror(argv[0]);
    return 1;
  }
  if((ofd = open(argv[2], O_WRONLY | O_CREAT | O_TRUNC, 0666)) < 0){
    perror(argv[1]);
    return 1;
  }

  while ( (n = read(ifd, buf, 4096)) > 0)
    write(ofd, buf, n);

  return 0;
}
