#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>

#define MAXNAME 80
int main(int argc, char *argv[])
{
    char replname[MAXNAME];
    int i, n, fd;
    if (argc < 3) {
	    fprintf(stderr, "Uso: %s <risposta> <mail> ...\n", argv[0]);
	    exit(1);
    }
    n = 0;
    for (i = 2; i < argc; i++) {
	    switch (fork()) {
	      case -1:
	        perror(argv[0]);
	        break;
	      case 0:
	        close(0);
	        if ((fd = open(argv[1], O_RDONLY)) < 0) {
		        perror(argv[1]);
		        exit(1);
	        }
	        close(1);
	        sprintf(replname, "risp-%s", argv[i]);
	        if (open(replname, O_WRONLY | O_TRUNC | O_CREAT, 0666) < 0) {
		        perror(replname);
		        exit(1);
	        }
	        execl("reply", "reply", argv[i], NULL);
	        perror("reply");
	        exit(1);
	      default:
	        n++;
	        break;
	    }
    }
    while (n > 0) {
	    wait(0);
	    n--;
    }
    return 0;
}
