#include <fcntl.h>
#include <dirent.h>
#include <stdio.h>

int dastampare(char* nomefile, char* maschera){
  int i;
  if(strlen(nomefile) != strlen(maschera))
    return 0;
  for(i=0; i<strlen(nomefile); i++)
    if(maschera[i] != '=' && maschera[i] != nomefile[i])
      return 0;
  return 1;
}

int main(int argc, char* argv[]){
  int fd;
  DIR* dir;
  struct dirent* ent;  

  if(argc != 3) {
    fprintf(stderr, "Uso: %s nomefile directory\n", argv[0]);
    exit(1);
  }

  if((dir = opendir(argv[2])) == NULL) {
    perror(argv[0]);
    exit(1);
  }

  while((ent = readdir(dir)) != NULL) {
    if(dastampare(ent->d_name, argv[1]))
      printf("%s\n", ent->d_name);
  } 

  return 0;
}
