#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define MAXLINE 81
int main(int argc, char *argv[])
{
  FILE *f;
  char buf[MAXLINE];
  char addr[MAXLINE];
  if (argc != 2) {
    fprintf(stderr, "Uso: %s <file>\n", argv[0]);
    exit(1);
  }
  if (!(f = fopen(argv[1], "r"))) {
    perror(argv[1]);
    exit(1);
  }
  do {
          if (!fgets(buf, MAXLINE, f)) {
                   fprintf(stderr, "errore in lettura dal file %s\n", argv[0]);
                   exit(1);
          }
          if (sscanf(buf, "From: %s\n", addr) == 1) {
                   printf("To: %s\n", addr);
          } else if (sscanf(buf, "To: %s\n", addr) == 1) {
                   printf("From: %s\n", addr);
          } else {
                   printf("%s", buf);
          }
  } while (strcmp(buf, "\n") != 0);
  while (fgets(buf, MAXLINE, f))
          printf(">%s", buf);
  fclose(f);
  while (fgets(buf, MAXLINE, stdin))
          printf("%s", buf);
  return 0;
}

