# Programma che determina se un dato numero inserito da tastiera
# e' una potenza di due (il numero puo' avere piu' cifre...).

.text
.include "servizio.s"
.global _main

# Quando viene chiamata deve trovare
# in ebx il valore da controllare.
# Lascia in eax il risultato, pari 
# al numero di bit ad 1 del valore
# da controllare
potenza:
  movl  $0, %eax
  movl  $32, %ecx
ciclo:
  sall   %ebx
  jnc   avanti
  incl  %eax
avanti:
  loop  ciclo
  ret

# Il main:
#   - prende in ingresso un numero espresso in base dieci
#   - chiama la funzione potenza passandole tale valore
#   - guarda il risultato
#       - se e' pari ad uno allora si tratta di una potenza
#         di due e stampa il carattere T
#       - se e' diverso da uno stampa il carattere F
#
_main:
  movl  $0, %edx
  movl  $10, %ecx
  movl  $0, %ebx
  movl  $0, %eax
l1:
  call  tastiera
  call  video
  cmpb  $'\r, %al
  je    procedi
  movl  %eax, %esi
  movl  %ebx, %eax
  mull   %ecx
  movl  %eax, %ebx
  movl  %esi, %eax
  subb  $'0, %al
  addl  %eax, %ebx
  jmp   l1
procedi:
  movb  $'\n, %al
  call  video
  movb  $'\r, %al
  call  video
  call  potenza
  cmpl  $1, %eax
  jne   falso
  movb  $'T, %al
  call  video
  ret
falso:
  movb  $'F, %al
  call  video
  ret 
