#include <string.h>
#include <stdio.h>

#define MAXL 256

int main(int argc, char* argv[]) {
  FILE* fp;
  char buf1[MAXL];

  if(argc != 3) {
    fprintf(stderr, "Uso: %s stringa nomefile\n", argv[0]);
    exit(1);
  }  

  if((fp=fopen(argv[2], "r")) == NULL) {
    perror(argv[0]);
    exit(1);
  }
  
  while(fgets(buf1, MAXL, fp) != NULL)
    if(strstr(buf1, argv[1]) != NULL)
      fputs(buf1, stdout);
  
  if(ferror(fp)){
    perror(argv[0]);
    exit(1);
  }
  
  return 0; 
}
