#*********************************
.data
vet: .long 2,2,3,4,5,37,6,333,542212,7,11
fine_vet:
#*********************************
.text
.include "stampa.s"
.global _main
#---------------------------------
# Scrivere un sottoprogramma che
# calcola quanti numeri dispari ci sono 
# in un vettore (numeri naturali su 4 byte)
# Parametri:
#  - in %eax indirizzo di partenza
#  - in %ebx numero di elementi
#  - lasciare risultato in %ecx

dispari:
      pushl %ebx
      pushl %edx
      pushl %esi 
      
      # azzera ecx
      movl  $0, %ecx
      # azzera esi, usato come contatore
      movl  $0, %esi
cc:
      # se esi e' uguale a ebx fine
      cmpl  %esi, %ebx
      je    ff
      # preleva un valore del vetttore
      movl  (%eax, %esi, 4), %edx
      # esegue lo shift a dx di una posizione
      # il bit meno significativo va in cf
      sarl  %edx
      # se cf non settato il numero e' pari
      jnc   ava
      # il numero e' dispari
      incl  %ecx
ava:
      # passa al valore successivo
      incl  %esi
      jmp   cc 

ff:   popl  %esi
      popl  %edx
      popl  %ebx
      ret

#---------------------------------
_main:
        movl $vet, %eax
	# calcola il numero di byte occupati dal vettore
        movl $(fine_vet - vet), %ebx
	# per calcolare il numero di elementi presenti nel
	# vettore bisogna dividere per 4 il valore calcolato
	# con l'istruzione precedente
	# questo puo' essere fatto con una traslazione a dx 
	# di due posizioni (in quanto siamo in base due)
	sarl $2, %ebx
        call dispari
        movl  %ecx, %eax
        call stampa
        xorl %eax, %eax
        ret
