#include <stdio.h>

int main(int argc, char* argv[]){

  FILE* fp;
  int c;

  if (argc != 2) {
    fputs("specificare il nome del file\n", stderr);
    return 1; 
  }
  
  if((fp = fopen(argv[1], "r")) == NULL) {
    fputs("Problema nell'apertura del file\n", stderr); 
    return 1;
  }

  while((c=fgetc(fp)) != EOF)
    switch(c) {
      case 'a': case 'A':
      case 'e': case 'E':
      case 'i': case 'I':
      case 'o': case 'O':
      case 'u': case 'U':
        break;
      default:
        if(fputc(c, stdout) == EOF) {
          fputs("Problema nell'uscita\n", stderr);
          return 1; 
        }
    }

  if(ferror(fp)) {
    fputs("Problema in lettura\n", stderr);
    return 1;
  }

  return 0;
}
