#include <stdio.h>

int main(int argc, char* argv[]){
	int i, j;
	int n;
	FILE* fp;

	if(argc != 3) {
		fprintf(stderr, "Numero di argomenti non corretto\n");	
		return 1;
	}

	if((fp=fopen(argv[1], "w")) == NULL) {
		perror(argv[0]);
		return 1;
	}

	if(sscanf(argv[2], "%d", &n) != 1) {
		fprintf(stderr, "Ultimo parametro non corretto\n");
		return 1;
	}
	
	for(i=0; i<n; i++) {
		for(j=0; j<n; j++) {
			fprintf(fp, "%d ", i==j);
		}
		fprintf(fp, "\n");
	}
	return 0;
}
